org.eclipse.net4j.util.collection

## Class HistoryElement<T>

- java.lang.Object
- - org.eclipse.net4j.util.collection.HistoryElement<T>

- All Implemented Interfaces:
    IHistoryElement<T>

      public class HistoryElement<T>
      extends java.lang.Object
      implements IHistoryElement<T>

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HistoryElement(IHistory<IHistoryElement<T>> history, T data)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `T` | `getData()`
    `IHistory<IHistoryElement<T>>` | `getHistory()`
    `java.lang.String` | `getText()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HistoryElement

          public HistoryElement(IHistory<IHistoryElement<T>> history,
                                T data)

  - ### Method Detail

    - #### getHistory

          public IHistory<IHistoryElement<T>> getHistory()

      Specified by:
        `getHistory` in interface `IHistoryElement<T>`

    - #### getData

          public T getData()

      Specified by:
        `getData` in interface `IHistoryElement<T>`

    - #### getText

          public java.lang.String getText()

      Specified by:
        `getText` in interface `IHistoryElement<T>`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html